DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: check prefix for libraries patches
@ 2021-10-20  9:14 David Marchand
  2021-11-26 10:12 ` Thomas Monjalon
  0 siblings, 1 reply; 2+ messages in thread
From: David Marchand @ 2021-10-20  9:14 UTC (permalink / raw)
  To: dev; +Cc: Thomas Monjalon

The convention in DPDK is to directly use library names as prefix,
without a lib/.

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 devtools/check-git-log.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/devtools/check-git-log.sh b/devtools/check-git-log.sh
index 9988bf863d..475f2464ab 100755
--- a/devtools/check-git-log.sh
+++ b/devtools/check-git-log.sh
@@ -89,6 +89,12 @@ bad=$(for commit in $commits ; do
 done | sed 's,^,\t,')
 [ -z "$bad" ] || { printf "Wrong headline prefix:\n$bad\n" && failure=true;}
 
+# check headline prefix for libraries
+bad=$(echo "$headlines" | grep --color=always \
+	-e '^lib/' \
+	| sed 's,^,\t,')
+[ -z "$bad" ] || { printf "Wrong headline prefix:\n$bad\n" && failure=true;}
+
 # check headline label for common typos
 bad=$(echo "$headlines" | grep --color=always \
 	-e '^example[:/]' \
-- 
2.23.0


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: check prefix for libraries patches
  2021-10-20  9:14 [dpdk-dev] [PATCH] devtools: check prefix for libraries patches David Marchand
@ 2021-11-26 10:12 ` Thomas Monjalon
  0 siblings, 0 replies; 2+ messages in thread
From: Thomas Monjalon @ 2021-11-26 10:12 UTC (permalink / raw)
  To: David Marchand; +Cc: dev

20/10/2021 11:14, David Marchand:
> The convention in DPDK is to directly use library names as prefix,
> without a lib/.
> 
> Signed-off-by: David Marchand <david.marchand@redhat.com>

Applied, thanks.



^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-11-26 10:12 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-20  9:14 [dpdk-dev] [PATCH] devtools: check prefix for libraries patches David Marchand
2021-11-26 10:12 ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).